Bug 89463 - netconfig in text mode is broken over remote logins
netconfig in text mode is broken over remote logins
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: netcfg (Show other bugs)
9
All Linux
medium Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-23 00:23 EDT by Marc MERLIN
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 14:00:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of curses/slang/whatever brokenness (11.99 KB, image/png)
2003-04-23 00:24 EDT, Marc MERLIN
no flags Details

  None (edit)
Description Marc MERLIN 2003-04-23 00:23:29 EDT
I log in from inside an xterm/eterm on RH 7.3 as root on a RH 9 server, and
netconfig looks completely broken.
It's unusable
Comment 1 Marc MERLIN 2003-04-23 00:24:41 EDT
Created attachment 91239 [details]
screenshot of curses/slang/whatever brokenness

note that this doesn't get fixed if I set TERM to vt100 or xterm or whatever
Comment 2 Marc MERLIN 2003-04-23 14:27:21 EDT
hp gave me the reason for this problem, I suppose you can close the bug, but
please look at my answer

----------------------------------------------------------------------------
> You have to match the encoding of mc to the encoding of 
> your terminal. The encoding of mc comes from the locale; for 
> example, LANG=en_US.UTF-8 gives UTF-8 encoding, 
> LANG=en_US.ISO-8859-1 gives Latin-1. 7.3 terminal will be expecting
> Latin-1 by default. RHL 9 gnome-terminal has a menu Terminal->Character Coding
> which can be used to change encoding to match remote systems.

Indeed, thanks for pointing that out, I missed that change (and boy, did I
look for it. Can this be added someone, like in the release notes next time)

I know why you are making this change, but honestly knowing that it breaks
remote connections in a non obvious way, I question the wiseness of this new
default.
It also breaks any other terminal by default (like xterm/Eterm/whatever),       
doesn't it?

> This can't be done automatically because the ssh and telnet protocols do
> not include encoding negotiation. A screwup in those protocols, so 

That's true

> the only solution is to manually set your encodings properly.

Other possible fixes would have been:
1) auto-set lang to en_US.ISO-8859-1 for remote connections
2) have gnome-terminal set a new TERM type (which gets passed by
   telnet/ssh/rlogin) and set lang to en_US.UTF-8 only if this new TERM
   type is detected (like xterm-utf8)
----------------------------------------------------------------------------
Comment 3 Bill Nottingham 2006-08-05 00:31:16 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 5 Bill Nottingham 2007-01-02 14:00:27 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.